package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.DataRequirementData;

import java.util.Date;
import java.util.List;

/**
 * @Author: sunxiang
 * @Date: 2018/6/12 13:35
 * @Description:
 **/
public class DataRequirementDetailModel {

    private Long rqrmntId;//需求id
    private Long rqrmntFollowId;//关注id
    private String rqrmntName;    //需求名称
    private String rqrmntSummary; //需求摘要
    private String dataUses;    //数据用途
    private Long sectorId;    //数据所属部门ID
    private String sectorName;     //数据所属部门
    private List<DataRequirementData> dataRequirementDataList;  //数据名称-数据项
    private String publishUserName;    //数据需求用户
    private Date publishAt;    //发布日期
    private String rqrmntState;    //需求状态
    private String auditOpinion;    //审核意见
    private Long auditedBy;    //审核用户
    private String auditeByName;
    private Date auditedAt;    //审核日期
    private String feedbackDesc;    //反馈说明（情况说明）
    private String feedbackResult;    //反馈情况
    private Long feedbackBy;        //反馈用户
    private String feedbackByName;
    private Long feedbackSectorId;    //反馈部门
    private String feedbackSectorName;    //反馈部门
    private Date feedbackAt;    //反馈日期
    private Long   viewTimes;//浏览次数
    private Long   followTimes;//关注次数
    private Integer flag;       //开放/共享需求区分标识符
    private String platformType;//平台类型

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public Long getRqrmntId() {
        return rqrmntId;
    }

    public void setRqrmntId(Long rqrmntId) {
        this.rqrmntId = rqrmntId;
    }

    public Long getRqrmntFollowId() {
        return rqrmntFollowId;
    }

    public void setRqrmntFollowId(Long rqrmntFollowId) {
        this.rqrmntFollowId = rqrmntFollowId;
    }

    public Long getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Long viewTimes) {
        this.viewTimes = viewTimes;
    }

    public Long getFollowTimes() {
        return followTimes;
    }

    public void setFollowTimes(Long followTimes) {
        this.followTimes = followTimes;
    }

    public String getPublishUserName() {
        return publishUserName;
    }

    public void setPublishUserName(String publishUserName) {
        this.publishUserName = publishUserName;
    }

    public Long getFeedbackSectorId() {
        return feedbackSectorId;
    }

    public void setFeedbackSectorId(Long feedbackSectorId) {
        this.feedbackSectorId = feedbackSectorId;
    }

    public String getFeedbackSectorName() {
        return feedbackSectorName;
    }

    public void setFeedbackSectorName(String feedbackSectorName) {
        this.feedbackSectorName = feedbackSectorName;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public String getDataUses() {
        return dataUses;
    }

    public void setDataUses(String dataUses) {
        this.dataUses = dataUses;
    }

    public Long getSectorId() {
        return sectorId;
    }

    public void setSectorId(Long sectorId) {
        this.sectorId = sectorId;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public List<DataRequirementData> getDataRequirementDataList() {
        return dataRequirementDataList;
    }

    public void setDataRequirementDataList(List<DataRequirementData> dataRequirementDataList) {
        this.dataRequirementDataList = dataRequirementDataList;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public String getAuditeByName() {
        return auditeByName;
    }

    public void setAuditeByName(String auditeByName) {
        this.auditeByName = auditeByName;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getFeedbackDesc() {
        return feedbackDesc;
    }

    public void setFeedbackDesc(String feedbackDesc) {
        this.feedbackDesc = feedbackDesc;
    }

    public String getFeedbackResult() {
        return feedbackResult;
    }

    public void setFeedbackResult(String feedbackResult) {
        this.feedbackResult = feedbackResult;
    }

    public Long getFeedbackBy() {
        return feedbackBy;
    }

    public void setFeedbackBy(Long feedbackBy) {
        this.feedbackBy = feedbackBy;
    }

    public String getFeedbackByName() {
        return feedbackByName;
    }

    public void setFeedbackByName(String feedbackByName) {
        this.feedbackByName = feedbackByName;
    }

    public Date getFeedbackAt() {
        return feedbackAt;
    }

    public void setFeedbackAt(Date feedbackAt) {
        this.feedbackAt = feedbackAt;
    }
}
